RDKit: RDKit::MolEnumerator Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
RDKit::MolEnumerator Namespace Reference

## Namespaces
namespace | detail
namespace | utils

## Classes
struct | LinkNode
class | LinkNodeOp
| Molecule enumeration operation corresponding to LINKNODES. More...
class | MolEnumeratorOp
| abstract base class for the a molecule enumeration operation More...
struct | MolEnumeratorParams
| Parameters used to control the molecule enumeration. More...
class | PositionVariationOp
| Molecule enumeration operation corresponding to position variation bonds. More...
class | RepeatUnitOp
| Molecule enumeration operation corresponding to SRUs. More...

## Functions
RDKIT_MOLENUMERATOR_EXPORT MolBundle | enumerate (const ROMol &mol, const std::vector< MolEnumeratorParams > &paramsList)
RDKIT_MOLENUMERATOR_EXPORT MolBundle | enumerate (const ROMol &mol, size_t maxPerOperation=0)
MolBundle | enumerate (const ROMol &mol, const MolEnumeratorParams &params)

## Function Documentation

## ◆ enumerate() [1/3]

MolBundle RDKit::MolEnumerator::enumerate | ( | const ROMol & | mol,
|  | const MolEnumeratorParams & | params )
| inline

Returns a MolBundle containing the molecules resulting from applying the operator contained in `params` to `mol`.

Definition at line 275 of file MolEnumerator.h.

References enumerate().

## ◆ enumerate() [2/3]

RDKIT_MOLENUMERATOR_EXPORT MolBundle RDKit::MolEnumerator::enumerate | ( | const ROMol & | mol,
|  | const std::vector< MolEnumeratorParams > & | paramsList )

Returns a MolBundle containing the molecules resulting from applying the operators contained in `paramsLists` to `mol`. the operators are applied in order

NOTE: the current implementation does not support molecules which include both LINKNODE and SRU features.

Referenced by enumerate().

## ◆ enumerate() [3/3]

RDKIT_MOLENUMERATOR_EXPORT MolBundle RDKit::MolEnumerator::enumerate | ( | const ROMol & | mol,
|  | size_t | maxPerOperation = 0 )

Returns a MolBundle containing the molecules resulting from applying the enumerable operators contained in `mol`.

Parameters

  maxPerOperation | the maximum number of molecules which an individual operation is allowed to generate

NOTE: the current implementation does not support molecules which include both LINKNODE and SRU features.

References RDKIT_MOLENUMERATOR_EXPORT.